Create Property: Propertyware
https://api.propexo.com/v1/properties/propertyware/| Method |
|---|
| createBuilding |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The ID of the portfolio to create the property under in the PMS.
The abbreviation of the property. Example: PROP1
The name of the property. Example: Property 1
The size of the property in square feet
The first address line associated with the property
The second address line associated with the property
The zip code associated with the property
The city associated with the property
The county associated with the property
The state associated with the property
The country associated with the property
The website URL associated with the property
Whether or not the property is currently active
General notes about the property
The year the property was built
The category of the property. This is from a limited set of data that the PMS requires.
Show 2 enum values
ResidentialCommercialThe type of the property. This is from a limited set of data that the PMS requires.
Show 11 enum values
ApartmentCondoCommercialDu/FourplexHouseSection 8/AffordableSeniorShort-term/vacationStudentTownhouseOtherResponse
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The ID of the portfolio to create the property under in the PMS.
The abbreviation of the property. Example: PROP1
The name of the property. Example: Property 1
The size of the property in square feet
The first address line associated with the property
The second address line associated with the property
The zip code associated with the property
The city associated with the property
The county associated with the property
The state associated with the property
The country associated with the property
The website URL associated with the property
Whether or not the property is currently active
General notes about the property
The year the property was built
The category of the property. This is from a limited set of data that the PMS requires.
Show 2 enum values
ResidentialCommercialThe type of the property. This is from a limited set of data that the PMS requires.
Show 11 enum values
ApartmentCondoCommercialDu/FourplexHouseSection 8/AffordableSeniorShort-term/vacationStudentTownhouseOtherErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/properties/propertyware/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"x_portfolio_id": "string",
"abbreviation": "string",
"name": "string",
"square_footage": "string",
"address_1": "string",
"category": "Residential",
"type": "Apartment"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"x_portfolio_id": "string",
"abbreviation": "string",
"name": "string",
"square_footage": "string",
"address_1": "string",
"address_2": "string",
"zip": "string",
"city": "string",
"county": "string",
"state": "string",
"country": "string",
"website": "string",
"is_active": "string",
"notes": "string",
"year_built": 0,
"category": "Residential",
"type": "Apartment"
}
}